Subject: Re: [PATCH v3 0/3] can: at91_can: fix for errata 50.2.6.3 & 50.3.5.3

From: Marc Kleine-Budde <[email-masked]>
Date: Mon, 24 Jan 2011 15:19:16 +0100

On 01/24/2011 03:15 PM, Marc Kleine-Budde wrote:
> Hello,
> 
> as promised I've implemented the proposed workaround for the errata
> 50.2.6.3 & 50.3.5.3:
> "Contents of Mailbox 0 can be sent Even if Mailbox is Disabled"
> 
> This means under high bus load it can happen that the mailbox 0 is send
> to the bus. And it does happen, even with the mainline driver where
> Mailbox 0 is a receive mailbox. The errata proposes not to use mailbox 0
> and load it with an unused can_id that will not disturb the bus.
> 
> The first patch cleans up the driver without any functional changes, so
> that the mailbox 0 can be disabled in the second patch. The third patch
> adds a sysfs parameter to the driver, so that the identifier of mailbox 0
> can configured.
> 
> This series applies to net-2.6/master. It has been tested on a ronetix pm9263
> board against a PCI-SJA1000 card with the canfdtest utility and on custom
> at91 boards against each other.

I've updated the patch series in my git-repo, too.

The following changes since commit b30532515f0a62bfe17207ab00883dd262497006:

  bonding: Ensure that we unshare skbs prior to calling pskb_may_pull (2011-01-20 16:45:56 -0800)

are available in the git repository at:
  git://git.pengutronix.de/git/mkl/linux-2.6.git can/at91_can-for-net-2.6

Marc Kleine-Budde (3):
      can: at91_can: clean up usage of AT91_MB_RX_FIRST and AT91_MB_RX_NUM
      can: at91_can: don't use mailbox 0
      can: at91_can: make can_id of mailbox 0 configurable

 Documentation/ABI/testing/sysfs-platform-at91 |   25 +++++
 drivers/net/can/at91_can.c                    |  138 ++++++++++++++++++++-----
 2 files changed, 137 insertions(+), 26 deletions(-)
 create mode 100644 Documentation/ABI/testing/sysfs-platform-at91

regards, Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |

_______________________________________________
Socketcan-core mailing list
[email-masked]
https://lists.berlios.de/mailman/listinfo/socketcan-core